aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools
diff options
context:
space:
mode:
authorGravatar Eric Boren <borenet@google.com>2014-08-28 09:31:15 -0400
committerGravatar Eric Boren <borenet@google.com>2014-08-28 09:31:15 -0400
commit60d30548e85708c9c40fcc35b1bbd02471fe4dc4 (patch)
tree3c92d57b835c9ffa8caa77f910c1f30bb356483e /platform_tools
parent615c369777258231054840a88cdb74c68c382485 (diff)
Add Android copy_directory_contents_[to|from]_device scripts
BUG=skia: NOTRY=true R=djsollen@google.com Review URL: https://codereview.chromium.org/510653004
Diffstat (limited to 'platform_tools')
-rwxr-xr-xplatform_tools/android/bin/adb_pull_if_needed10
-rwxr-xr-xplatform_tools/android/bin/adb_push_if_needed10
2 files changed, 20 insertions, 0 deletions
diff --git a/platform_tools/android/bin/adb_pull_if_needed b/platform_tools/android/bin/adb_pull_if_needed
new file mode 100755
index 0000000000..f4992b29c8
--- /dev/null
+++ b/platform_tools/android/bin/adb_pull_if_needed
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Copy the contents of a directory from a device to the host.
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $SCRIPT_DIR/android_setup.sh
+source $SCRIPT_DIR/utils/setup_adb.sh
+
+adb_pull_if_needed ${APP_ARGS[@]}
+exit $?
diff --git a/platform_tools/android/bin/adb_push_if_needed b/platform_tools/android/bin/adb_push_if_needed
new file mode 100755
index 0000000000..96e093fee9
--- /dev/null
+++ b/platform_tools/android/bin/adb_push_if_needed
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Copy the contents of a directory from the host to a device.
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $SCRIPT_DIR/android_setup.sh
+source $SCRIPT_DIR/utils/setup_adb.sh
+
+adb_push_if_needed ${APP_ARGS[@]}
+exit $?